## rott 1.0+dfsg

=== Makefile ===
#-----------------------------------------------------------------------------#
# ROTT makefile.
#-----------------------------------------------------------------------------#


#-----------------------------------------------------------------------------#
# If this makefile fails to detect Cygwin correctly, or you want to force
#  the build process's behaviour, set it to "true" or "false" (w/o quotes).
#-----------------------------------------------------------------------------#
#cygwin := true
#cygwin := false
cygwin := autodetect

# you only need to set these for Cygwin at the moment.
SDL_INC_DIR = /cygdrive/c/SDL/include
SDL_LIB_DIR = /cygdrive/c/SDL/lib


# Don't touch anything below this line unless you know what you're doing.

ifeq ($(strip $(cygwin)),autodetect)
  ifneq ($(strip $(shell gcc -v 2>&1 |grep "cygwin")),)
    cygwin := true
  else
    cygwin := false
  endif
endif


ifeq ($(strip $(cygwin)),true)
  ifeq ($(strip $(SDL_INC_DIR)),please_set_me_cygwin_users)
    $(error Cygwin users need to set the SDL_INC_DIR envr var.)
  else
    SDL_CFLAGS := -I$(SDL_INC_DIR)
  endif

  ifeq ($(strip $(SDL_LIB_DIR)),please_set_me_cygwin_users)
    $(error Cygwin users need to set the SDL_LIB_DIR envr var.)
  else
    SDL_LDFLAGS := -L$(SDL_LIB_DIR) -lSDL
  endif
else
  SDL_CFLAGS := $(shell sdl-config --cflags)
  SDL_LDFLAGS := $(shell sdl-config --libs)
  EXTRACFLAGS += -DUSE_EXECINFO=1
endif


CC = gcc
CFLAGS = -g $(SDL_CFLAGS) -DUSE_SDL=1 -DPLATFORM_UNIX=1 -W -Wall -Wno-unused $(EXTRACFLAGS)
LDLIBS = $(SDL_LDFLAGS) -lSDL -lSDL_mixer $(EXTRALDFLAGS) -Wl,-E

all: rott

rott: 	\
	cin_actr.o \
	cin_efct.o \
	cin_evnt.o \
	cin_glob.o \
	cin_main.o \
	cin_util.o \
	dosutil.o \
	engine.o \
	fx_man.o \
	isr.o \
	modexlib.o \
	rt_actor.o \
	rt_battl.o \
	rt_build.o \
	rt_cfg.o \
	rt_crc.o \
	rt_com.o \
	rt_debug.o \
	rt_dmand.o \
	rt_door.o \
	rt_draw.o \
	rt_floor.o \
	rt_game.o \
	rt_in.o \
	rt_main.o \
	rt_map.o \
	rt_menu.o \
	rt_msg.o \
	rt_net.o \
	rt_playr.o \
	rt_rand.o \
	rt_scale.o \
	rt_sound.o \
	rt_spbal.o \
	rt_sqrt.o \
	rt_stat.o \
	rt_state.o \
	rt_str.o \
	rt_swift.o \
	rt_ted.o \
	rt_util.o \
	rt_view.o \
	rt_vid.o \
	rt_err.o \
	scriplib.o \
	w_wad.o \
	watcom.o \
	z_zone.o \
	byteordr.o
	$(CC) $^ $(LDLIBS) -o $@

clean:
	rm -rf *.o

distclean: clean
	rm -rf *~

## rott 1.1

=== rott/Makefile ===
#-----------------------------------------------------------------------------#
# ROTT makefile.
#-----------------------------------------------------------------------------#


#-----------------------------------------------------------------------------#
# If this makefile fails to detect Cygwin correctly, or you want to force
#  the build process's behaviour, set it to "true" or "false" (w/o quotes).
#-----------------------------------------------------------------------------#
#cygwin := true
#cygwin := false
cygwin := autodetect

# you only need to set these for Cygwin at the moment.
SDL_INC_DIR = /cygdrive/c/SDL/include
SDL_LIB_DIR = /cygdrive/c/SDL/lib


# Don't touch anything below this line unless you know what you're doing.

ifeq ($(strip $(cygwin)),autodetect)
  ifneq ($(strip $(shell gcc -v 2>&1 |grep "cygwin")),)
    cygwin := true
  else
    cygwin := false
  endif
endif


ifeq ($(strip $(cygwin)),true)
  ifeq ($(strip $(SDL_INC_DIR)),please_set_me_cygwin_users)
    $(error Cygwin users need to set the SDL_INC_DIR envr var.)
  else
    SDL_CFLAGS := -I$(SDL_INC_DIR)
  endif

  ifeq ($(strip $(SDL_LIB_DIR)),please_set_me_cygwin_users)
    $(error Cygwin users need to set the SDL_LIB_DIR envr var.)
  else
    SDL_LDFLAGS := -L$(SDL_LIB_DIR) -lSDL
  endif
else
  SDL_CFLAGS := $(shell sdl-config --cflags)
  SDL_LDFLAGS := $(shell sdl-config --libs)
  EXTRACFLAGS += -DUSE_EXECINFO=1
endif


CC = gcc
CFLAGS += -g -W -Wall -Wno-unused -Wno-pointer-sign
ALL_CFLAGS = $(SDL_CFLAGS) -DUSE_SDL=1 -DPLATFORM_UNIX=1 $(CFLAGS) $(EXTRACFLAGS)
LDFLAGS += -Wl,-E
LDLIBS = $(LDFLAGS) $(SDL_LDFLAGS) -lSDL -lSDL_mixer $(EXTRALDFLAGS)

%.o: %.c
	$(CC) $(ALL_CFLAGS) -c $< -o $@

all: rott

audiolib/audiolib.a:
	$(MAKE) -C audiolib CC="$(CC)" CFLAGS="$(ALL_CFLAGS)" LDLIBS="$(LDLIBS)"

rott: 	\
	cin_actr.o \
	cin_efct.o \
	cin_evnt.o \
	cin_glob.o \
	cin_main.o \
	cin_util.o \
	dosutil.o \
	engine.o \
	isr.o \
	modexlib.o \
	rt_actor.o \
	rt_battl.o \
	rt_build.o \
	rt_cfg.o \
	rt_crc.o \
	rt_com.o \
	rt_debug.o \
	rt_dmand.o \
	rt_door.o \
	rt_draw.o \
	rt_floor.o \
	rt_game.o \
	rt_in.o \
	rt_main.o \
	rt_map.o \
	rt_menu.o \
	rt_msg.o \
	rt_net.o \
	rt_playr.o \
	rt_rand.o \
	rt_scale.o \
	rt_sound.o \
	rt_spbal.o \
	rt_sqrt.o \
	rt_stat.o \
	rt_state.o \
	rt_str.o \
	rt_swift.o \
	rt_ted.o \
	rt_util.o \
	rt_view.o \
	rt_vid.o \
	rt_err.o \
	scriplib.o \
	w_wad.o \
	watcom.o \
	z_zone.o \
	byteordr.o \
	dukemusc.o \
	audiolib/audiolib.a \
	winrott.o
	$(CC) $^ $(LDLIBS) -o $@

clean:
	$(MAKE) -C audiolib clean
	rm -rf rott *.o

distclean: clean
	$(MAKE) -C audiolib distclean
	rm -rf *~

## rott 1.1.1

=== rott/Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 
 CC = gcc
-CFLAGS += -g -W -Wall -Wno-unused -Wno-pointer-sign
+CFLAGS += -g -W -Wall -Wno-unused
 ALL_CFLAGS = $(SDL_CFLAGS) -DUSE_SDL=1 -DPLATFORM_UNIX=1 $(CFLAGS) $(EXTRACFLAGS)
 LDFLAGS += -Wl,-E
 LDLIBS = $(LDFLAGS) $(SDL_LDFLAGS) -lSDL -lSDL_mixer $(EXTRALDFLAGS)
@@ -116,7 +116,7 @@
 
 clean:
 	$(MAKE) -C audiolib clean
-	rm -rf rott *.o
+	rm -rf rott rott.exe *.o
 
 distclean: clean
 	$(MAKE) -C audiolib distclean

=== debian/changelog ===
rott (1.1.1-6) unstable; urgency=low

  * bump version for dak (I fumbled the last upload)

 -- Jon Dowland <jmtd@debian.org>  Thu, 24 Mar 2011 15:47:04 +0000

rott (1.1.1-5) unstable; urgency=low

  [ Fabian Greffrath ]
  * Add "Recommends: game-data-packager (>= 24)" and
    move rott-data to Suggests.
  * On remove, if rott-data is installed, delete all files
    that are not in rott-data, delete the whole directory else.
  * Remove debian/rott.dirs, don't claim the /usr/share/games/rott
    directory for this package anymore, it belongs to rott-data.

  [ Jon Dowland ]
  * restore prerm/postinst for alternative. Whoops! That's what
    experimental is for, folks!

 -- Jon Dowland <jmtd@debian.org>  Wed, 23 Mar 2011 12:53:28 +0000

rott (1.1.1-4) experimental; urgency=low

  [ Fabian Greffrath ]
  * Add Japanese po-debconf template translation,
    thanks Hideki Yamane <henrich@debian.org> (Closes: #599886).
  * Build all four variants of the game: Shareware Version, Commercial Version,
    CD Version and Site License CD Version (LP: #511810).
  * Handle variants via update-alternatives, document this in the manual page
    and in README-Debian, add symlinks for the manual pages.
  * Add lintian overrides for desktop-command-not-in-package
    and menu-command-not-in-package.
  * Fix another typo (parameter) spotted by lintian.
  * Remove the debug package, it has never been of any use.
  * Update Standards-Version and debhelper compat.
  * Make sure object files get rebuilt whenever develop.h is changed.

  [ Jon Dowland ]
  * add Recommends: rott-data (to be provided by packages generated
    by game-data-packager)

 -- Jon Dowland <jmtd@debian.org>  Sun, 16 Jan 2011 23:49:32 +0000

rott (1.1.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #564185
    - Danish (Joe Hansen).  Closes: #583962

 -- Christian Perrier <bubulle@debian.org>  Thu, 03 Jun 2010 07:38:48 +0200

rott (1.1.1-3) unstable; urgency=low

  [ Fabian Greffrath ]
  * Converted from cdbs to debhelper 7.3.
  * Updated my email address.
  * debian/patches/01-demo-datadir.patch: New patch, enable
    playback of demo files in DATADIR.
  * Converted packaging to source format "3.0 (quilt)".

  [ Evgeni Golov ]
  * debian/control:
    + Standards-Version: 3.8.3, no changes needed.
  * debian/patches/02-persistent-typo.patch:
    + Fix typo spotted by lintian.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 21 Dec 2009 14:38:16 +0100

rott (1.1.1-2) unstable; urgency=low

  * debian/rott.postinst:
    3drealms plays ping-pong with us, moved the zip to old location again.
    Lets try both locations before failing.
    Closes: #536536, LP: #395048

 -- Evgeni Golov <evgeni@debian.org>  Fri, 17 Jul 2009 00:03:11 +0200

rott (1.1.1-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * New upstream release.
  * debian/patches/01-gameover.patch,
    debian/patches/02-fix-end-level-display.patch,
    debian/patches/03-desktop-file.patch,
    debian/patches/10-german-eszett-as-backslash.patch,
    debian/patches/11-add-nosound-to-manpage.patch:
    + Removed, applied upstream.
  * debian/rules:
    + Added -Wno-pointer-sign and -Wno-unused to CFLAGS.

  [ Evgeni Golov ]
  * debian/control:
    + Standards-Version: 3.8.2, no changes needed.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 02 Jul 2009 08:39:58 +0200

rott (1.1-3) unstable; urgency=low

  * debian/rott.postinst:
    + The shareware zip is now in pub/share/ on the ftp, fix the download link.
      Closes: #530570, LP: #305779.
  * debian/patches/11-add-nosound-to-manpage.patch:
    + Add the nosound option to the manpage.
  * debian/control:
    + Add myself to Uploaders.
    + Standards-Version: 3.8.1, no changes. 
    + rott-dbg goes to contrib/debug, not contrib/devel.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 09 Jun 2009 10:38:11 +0200

rott (1.1-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/*, debian/README.Debian:
    + Refreshed, renamed and commented all patches.
  * debian/patches/00-ludicrous-gibs.patch:
    + New patch to enable EKG mode by default, requires cheating
      otherwise, disabled in debian/patches/series.
  * debian/patches/03-desktop-file.patch, debian/rott.install:
    + New patch to add a generic rott.desktop file into the misc/ directory.
  * debian/rott.menu:
    + Changed to match rott.desktop.
  * debian/control, debian/rott.postinst:
    + Accept p7zip-full as an alternative to unzip to extract the shareware
      zip files.
  * debian/README.Debian:
    + Explained more detailed how to build the registered version of ROTT.
    + Described how to work around game hangs like the one described in #498413.
  * debian/control:
    + Fixed "binary-control-field-duplicates-source section in package rott".
  * debian/changelog:
    + Simplified, it's all GPL after all.
  * debian/po/gl.po:
    + Updated the Galician translation of the debconf template
      (Closes: #512692), thanks Marce Villarino <mvillarino@gmail.com>.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Mon, 16 Feb 2009 13:16:00 +0100

rott (1.1-1) experimental; urgency=low

  * New upstream release.
    + Uploaded to experimental due to the Lenny freeze.
  * debian/copyright:
    + Converted into machine-readable format.
    + Added further copyright holders.
    + Sourceless binary files have been removed upstream.
  * debian/control:
    + Bumped Standards-Version to 3.8.0.
    + Re-added rott-dbg package.
    + Promoted freepats and timidity to Recommends (Closes: #498984).
  * debian/manpage/, debian/patches/, debian/pixmap/:
    + Removed previous patchset, all applied upstream.
  * debian/patches/rott-1.1-disable-audiolib.patch:
    + Reverting parts of upstream r218 to disable audiolib,
      for testing purposes, disabled in debian/patches/series.
  * debian/patches/rott-1.1-registered-version.patch:


=== debian/control ===
Source: rott
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian+debian@greffrath.com>,
 Evgeni Golov <evgeni@debian.org>, Jon Dowland <jmtd@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libsdl1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.1
Homepage: http://icculus.org/rott/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/rott/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/rott/

Package: rott
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: freepats, timidity, game-data-packager (>= 24)
Suggests: rott-data
Description: SDL-Port of Rise of the Triad
 Rise of the Triad is a high quality, fast scrolling first-person perspective
 3D action game. It includes a lot of destructive enemies, an arsenal of
 weapons from simple pistols to missile launchers, life-preserving armor, traps
 and ambushes galore.
 .
 WARNING: Rise of the Triad features wanton and gratuitous violence.
 .
 This package contains no data files: use `game-data-packager' to generate
 a suitable data package before installing rott.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -DDATADIR=\"/usr/share/games/rott/\"
CFLAGS += -Wno-pointer-sign -Wno-unused

%:
	dh --sourcedir=rott $@

override_dh_auto_build:
	# Shareware Version
	sed -e "s/^\(#define SHAREWARE\).*/\1   1/" \
	    -e "s/^\(#define SUPERROTT\).*/\1   0/" \
	    -e "s/^\(#define SITELICENSE\).*/\1 0/" \
	    -i rott/develop.h
	dh_auto_build
	mv -fv rott/rott rott/rott-shareware
	# Commercial Version
	sed -e "s/^\(#define SHAREWARE\).*/\1   0/" \
	    -e "s/^\(#define SUPERROTT\).*/\1   0/" \
	    -e "s/^\(#define SITELICENSE\).*/\1 0/" \
	    -i rott/develop.h
	dh_auto_build
	mv -fv rott/rott rott/rott-commercial
	# CD Version
	sed -e "s/^\(#define SHAREWARE\).*/\1   0/" \
	    -e "s/^\(#define SUPERROTT\).*/\1   1/" \
	    -e "s/^\(#define SITELICENSE\).*/\1 0/" \
	    -i rott/develop.h
	dh_auto_build
	mv -fv rott/rott rott/rott-superrott
	# Site License CD Version
	sed -e "s/^\(#define SHAREWARE\).*/\1   0/" \
	    -e "s/^\(#define SUPERROTT\).*/\1   0/" \
	    -e "s/^\(#define SITELICENSE\).*/\1 1/" \
	    -i rott/develop.h
	dh_auto_build
	mv -fv rott/rott rott/rott-sitelicense

override_dh_auto_clean:
	sed -e "s/^\(#define SHAREWARE\).*/\1   1/" \
	    -e "s/^\(#define SUPERROTT\).*/\1   0/" \
	    -e "s/^\(#define SITELICENSE\).*/\1 0/" \
	    -i rott/develop.h
	dh_auto_clean

## rott 1.1.1-1

=== debian/control ===
Source: rott
Section: user/games
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.2

Package: rott
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rise of the Triad is a straightforward 3D shooter filled with tons of explosions and carnage, as well as some evil monks.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XSBC-Maemo-Display-Name: Rise Of The Triad
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oEHRIjFn1dCUUAAA9fSURBVGje1Zp7cJTXecZ/57vtXdKupNX9BgJJ
 IIQwCBAG7BhswDjYCY5JQuxM7LRuJ9M0TiZtkrZOpk7jidtk6lzdOo07jRMn
 8QSb+IKxyYDvIBsQdzACdL+ttJJWe9W333f6hyVmvRVxSMFNd2Zn9cfu0fue
 53ne93nP+eD/+Utc4bXk9OfM35n/Q2Z9/sklkLmeyFo7M/grmoB2BddSMgIX
 s+y+BOxZkvqTSGAmeAVQs5LJDN4GrCtJJ/UK0UaZ3gwN0KffF4NVFcUlpRRX
 g7bKFQh8Jnh1OnBnoLDYuWbpwi8D7R9a3rTLsu0Y4AIcGd9VZtHKB5pA5hrq
 dHAuwLWwIrCsKt9x/65HvzVfpsauK8jP/6mu6+6sJGbTzAeOgJpBG4eiKG5A
 Ni+c96/r1lzLK22H5Q//+SFZXVLwSX8gMA/wAE7AmP6N+n8l4sydm0nAZdu2
 8sD9X/v6a0//dI5b1+QTTz8ngrlenCKN1+X62TC0KIrisW07U9gSSGf1jg8E
 ASVDsC7AuX7jLZUv7XhszerVazl9oUfgqWAiMsjccj+Rod7CjZs2nbJt25pG
 Qc+gkvrHClz5I3deyXgbgCPXH/Cmwz23fWTTjRXLWpbz+uELuHMf4FC3wXWt
 S/jzT24Wb+59ifq6xlXTCTgzaCQ+yDKqZHB/Rri+XLdReU1t6Ve2b/tY3qf+
 4otS8WwRsck2hsbmk4ofYknDXHp6u/WRiWSB7jBeTyQSU9Nl1sqijrxaCIhZ
 GpYxnYTz47fftv2GNSuLdr3wIj2TAeEPLKPU+Sx+/1JOdUwgBDz0jb+TMh1b
 6/F4mwD39O+NLBTE1aSQzAreAFyVVXMCA6fbPubPcXP/D34hg8EtVJeHMQyN
 40c+S3Hdt3nkv35Jd3e3uGH5IkqLgj8E0kIId4YWMkvrVUtAzaCPMVMSi712
 66b163ji2T0yr/BD4tbbHuDC2be4vTUNFHLh7BvMWfYgv3jyUbZv/bDs6Tij
 bNq8+T+klGSUVSUjHnE1KTTTcQ3AVRgsKVCt8evXbdxM2+EjwrRK2PGbh6nO
 72BwAipKYpSWL6S9fYiJlMpQKCRWLVvAwQNvNk73BVdWX7isiqRcRqKZtsEA
 nHm5eT6nGd74/Ye+23zfV75GTL2ZbR+/H4c+THkwwZ1rodQX5sD+x+nvexVH
 4TfZu28X2z+8DlJJT0P9wocNw3BloKBlaU1ciSqU3bAc0wLMEalk/YZVjX+f
 jMd9P9mxX9bVf04cfOvX1Ne1UqU8TkIFjyoJKXcgCJNMlREOv0VttYeWpkae
 3/tmqTcnd28sFhufbmZWVoO7Ighkm7aZ0uneumnVhr/50n3ehx97UuYEbhb9
 fedYseqv0I0QtoT2UVg5D86f/jV1dfcgCGG5t7Bz9yvUz6tl0dwiraFhwX9m
 VLNMLfyvERBZVlmfhtoDuCqLcltWNNXdMxga8Rw4a4u6hq9RViZ4dtejpCde
 Y3XtIC0fh7bdcH5YZSjspLysnAud75Cf56Gvaz/rr7te7t6zT5+7YGHnQH9/
 xzQCmTPD+05wymUK1wE419+0ce6i6sADjQ11hQ98/zFZWvFnnD3zFKdPH8cw
 5vPFTxjEdahfBIqAEn+UTbfcx/79PyIvN8iZHidJCbpii8qgT0YjkQeBZIag
 sy33ZSMgsrruDMQeoRlee/idT991x9blh460i/7JlaK8fD15eTa2HaOh/gZe
 fO7b3LgZGq+FtqOQCMGOlw7h81VSkF+JohQzPmXjkWdY0bxE/G7vPhZds7qx
 t6/7xQwErCwExOUgILIsw0X61JYV1t37mTs3SNtWfvXiYZyexfT3tXGkfR99
 A2niiTZW1IPXA9KGxuVQ4kmDeYKi4jWcO/cy0dgZenqKaO8YYcpMsqZlIUcO
 tzWUl5XNyZgZ9Cw9yMulkMhwnIYQwgkYCyrzt7UuWxL8+W+fJ62uQFMsensP
 s3jJp8gPLKKp9BAFeWDkgy8XSmrA7wWvuwSPW8Vh+JiMdKBr4/RNrOB0x2Hu
 vON2ubi2tLS8uuY70xvlyHKrlxS0+j6GLbNsuu6+++51PmvyXkWV6k92vELj
 ou8wOHiIpcvuou3Ag4xHJuk89xS3t1oMnYKHH4P9O2DDEtjdHqO7r5tAfh1C
 CWBbaYZDgyBShEO9YlFdFQfbT+SHI9GfTdMnnUEn+1JGT/kD6GMAzualKwrO
 vPH0327ZfJP+oyd2SY//s7ido/jzAnR37cXtXkR5aZDqhk/wvefA7YZba+CO
 VfCd5z2EE358Oc3E42O4XW6isW7ycssJxYKMToRx6U7Sqbi9qnXla0A8a2ZQ
 L4WCeomymbn7Hpc3x+3XUp+/Z/tHWzp7+8XOfWlRVXUtoeFOcvMqOX36BQL5
 i0nEz9Pd3Y3luIE9Jyv5zauTvHy2iZS6FlUpJsdrkJoykXaMeDxEjq+agYGT
 5BT6MaP9rGhaKJ584WW5auVqpae3++2Mac2+VElV3mf3nYBzXlV5zYKa4paC
 XL/41iNPykDBSsxUF5oxgbRCWEoti5uvQ4hCgsEVlJU0MD52jrqGLxAe6yca
 GQIm0Yy5mKZOeKyLYOGNxBMnKa/YyOGjFsJXia5aNM0tFaffOfGxpS3LF2To
 Qcsye7MioGQM6kZG0/KV+MR1H7np+o/87tVXxcEzuigubmRyMkw8ZjIUeofq
 Uh+O8S9gyhSh8TSRyCCBQBMTE8eorrkNh0MwEh4k6NzBwtKDjCQWYZqTJBLD
 WPY4qKV4nP1UFbtZu2SRbDt2ymc4POHh4eFjGRZjVhSynV+m0/QA3oWLlxQ1
 Vxd8cWHdnIJ//LenpSfnFqEKG8OhEB5PoishPr/+WeYWwm0tg7x2fIjxuAND
 96FpHtLpBJ2dbWxc8g63rxwj6IZ5pd28cmwQ3ViMz1dIZHw/Q+ECErF+PA5T
 NDXUc+hUR0tkMvpjRVGElNLMSOI9Pkm5hNd3TCNgF6njD2258fr6HzzxHJJC
 YZkhksk+8vM34dFP89Ut+zEkiJXwVi/cvX6cRPw4sfgY0o7S0/MbFtfY3Ng4
 QjwF4RoYSZh8YWMYYZ9gcOBtKiruBEthKKrQduI0ZiIiU7FxNt1880HbttNZ
 bvU9M7TyeyqP9rl7P/OVAo+xaCQ6Kd8+FmF+wzdY0LARm1oGex7h06uPUhCA
 8m3w2XtBqYSVteB1pkgmJ7ClRqBgOzmeKbDhnANWtEL1Okgq8KlVHfh9abq6
 d2LbIXr6g6Rd8xmPRkRDdQm7dr+kza+d35jBDDXbbqtZbnOGPu6GBY3B9Gjn
 3Xdtu73ovgceFQ7vLUQjh+jqj1Ho+S1/fdNRiitgyT1QVgMnDkK6C/Qk7HwL
 NGMxpjlMMtlPVTBMTf4YTieEojCnFnIrQZpQZYRp70piU4mmSoaGh8n1p2me
 U8HZ813S7cm5rrKmZs/gwEAEMLPttjrLkO5UFMVT4JKtG1Zd89G9bx5wHDqn
 IG0HSauam5Z3srXpKB1pmLMezuyBszvh2D54fh/8+KVCUulyDMOLZZvompdz
 /SO8fHKMaBi0MYidh94QaEEYHYKt16Q42TvJZCIXaftITo1TV5FDTWlAHHmn
 w2dZ6vGJyMTZaUFnzg1Szag8MzDpt95665xqv+PLhXneqsdfeE1IZQve3HnM
 KXiKu5a2k++HRAp6X4cDhwPs2O9kz/Ei+iLLCRZvJW2GEYqGoQcx7VF83mYS
 ST89o6Uc7YKz/TrpkSmsfknCAdGIQuv8BBeGTKJJN1NpL/GpAeZVFOHWDYk7
 56ZQKPSIlDI1jcJFMasZ9FEdDodhWVb4+tbmpwJacvHu/QdFV6iR/Lwgq+f/
 nA2NQ+xuhwNn4fCFG3jmoIu+6DoicZW8vHochhOHI0Y81otpTqAoHtLmAFZ6
 AiES5OTMRUqLyWQuw4kFHO/1EgrloTBCNAnNNXEi8RCjkWK8OQZaeojiYJE4
 efIMS69dW3Guo+NXQgglg0ryPRSyLCv1i18++dKeJ36wrPXaa8UTu07JqSmv
 qC15m5MXRnn+YA7pnH/hVI+PwZEJDIeOZXbhdBaBTJBIhIlE9iGpw5fbyGRk
 D273NaiqQNWKiUR+h64XAQqCGII08VSCvvFGzg3N42jnMD4XpMwBQqPFlJUo
 aJi4XA55+Nip+q3bPvHckfb2wWwELtqIbdvvdj/3+Hf/sqV5cdHjz+wDtUp4
 PBrjcYVYYgHz5q7nfMc3yc8twuVIo6geVMWFYJKp1ARul6CsqA5VJEgl9lAS
 bCUaPYuV7iFt2WjKu7Jzu9wkkmfQtVy8Xh23w0JRulBEPpFUE4JONM2kb1RQ
 GrCZX1kq2k6ckwrGWn/Q/++hoeGLGrjof0rKyvUbVzbe45GJ7yUsTTlz7gLb
 Nq0hFpskkTSRWAhpkjBB1xWstI1DF4TCE3h9HhxOD6OhYdwOF9H4BLruRVMk
 fSOjBP15pNIWDkPHsiwi0Ri2rZHv95JKxAn48xgYHkPVVEzTRFENkqkUaTON
 qiqMR1Pkehw8s/+MtWp5y12vvP76kzMozByvy4ULGsQbR883bF5ao1xTP4+W
 BTX0DQxQ4Pdj6Ba6ppNKmXiFJDVlkl+cS1FhkGMnTlJeVoqm6eQ43AwMh/B6
 8lnW3MSRE6dY0VRBLJEgbaYJ5OUyGY9SUgDDo2Fi8SRzyquIxmPUz62ho6uf
 xfU1RKJxBkND+Dz5GLrO1JRJaioBCDWWSPoyrXXmeaTyD1//Rs03/+nBH5cE
 xPrJsSkcDg2X04FQBKaZpjBYxMT4KFOmhcvpJJ5IYKXTxBNpVMPGSkFujgeP
 x41t24xHJikMBBgbH0fTNYQAKSHH62ViYpxUGlxOHWlLDIdgLBIn1+tlIhoH
 WxA3p3AoGoX5OXQNhCmrrmVVa8sPjx079qUTx49PvScBIYSQ7571yZtv2fLV
 zvOdlrTNapfXt8GW0ittKW3bFkIIVFWRlmULBKiKihDvLqNM93XTTGNLUBWB
 ZUs0TUPaFqqm6um0bVqWJXM8Tk9yKh2TEiGljQQMTcW0JIoQ7zYpVWBZUkop
 hSLkUEVJ2RtSsb6/c+czp2ZQENnzgBBCmT6zVMvKypzBYJHPti3NstKqbUsh
 pRRSSqSUSsbN4+Xe5iOEIqS0L5qymf1TVcUWQkhFUW1N0yyHw7B03bAcDsfU
 4NBg7MTxE6nZKDTbaYTIOtpQZvnOlX5lX4bbs9wvv8dSi/c5LxKzJCWvwiMK
 syXCLMeM/2MeEH/gcw9X+xmLSyXA+93eiMvl7gcQfGaw73tz+d8relaelapz
 lQAAAABJRU5ErkJggg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make
	#docbook-to-man debian/rott.sgml > rott.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rott.
	# $(MAKE) DESTDIR=$(CURDIR)/debian/rott install
	cp $(CURDIR)/rott.sh $(CURDIR)/debian/rott/usr/bin/rott
	cp $(CURDIR)/rott.desktop $(CURDIR)/debian/rott/usr/share/applications/hildon/rott.desktop
	cp $(CURDIR)/icon-48.png $(CURDIR)/debian/rott/usr/share/icons/hicolor/48x48/hildon/rott.png
	cp $(CURDIR)/icon-64.png $(CURDIR)/debian/rott/usr/share/icons/hicolor/64x64/hildon/rott.png
	cp $(CURDIR)/rott $(CURDIR)/debian/rott/home/user/.rott/rott
	cp $(CURDIR)/keyon $(CURDIR)/debian/rott/home/user/.rott/keyon
	cp $(CURDIR)/keyoff $(CURDIR)/debian/rott/home/user/.rott/keyoff
	cp -rf $(CURDIR)/darkwar $(CURDIR)/debian/rott/home/user/.rott/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	cp $(CURDIR)/postinst $(CURDIR)/debian/rott/DEBIAN/postinst
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## rott 1.1.2

=== rott/Makefile ===
# Determine which version to build
# Make sure only one of the following is set to 1 at once
# Triple 0 will build the commercial/registered version

SHAREWARE   ?= 1
SUPERROTT   ?= 0
SITELICENSE ?= 0

CPPFLAGS += -DSHAREWARE=$(SHAREWARE)
CPPFLAGS += -DSUPERROTT=$(SUPERROTT)
CPPFLAGS += -DSITELICENSE=$(SITELICENSE)

ROTT ?= rott

# Regular build flags and rules

CC ?= gcc

CFLAGS ?= -g -O2
CFLAGS += -Wall -Wno-unused
CFLAGS += $(shell sdl-config --cflags)
CFLAGS += $(EXTRACFLAGS)

CPPFLAGS += -DUSE_SDL=1
CPPFLAGS += -DPLATFORM_UNIX=1
CPPFLAGS += $(EXTRACPPFLAGS)

LDFLAGS += $(EXTRALDFLAGS)

LDLIBS += $(shell sdl-config --libs)
LDLIBS += -lSDL_mixer
LDLIBS += $(EXTRALDLIBS)

OBJS :=
OBJS += cin_actr.o
OBJS += cin_efct.o
OBJS += cin_evnt.o
OBJS += cin_glob.o
OBJS += cin_main.o
OBJS += cin_util.o
OBJS += dosutil.o
OBJS += engine.o
OBJS += isr.o
OBJS += modexlib.o
OBJS += rt_actor.o
OBJS += rt_battl.o
OBJS += rt_build.o
OBJS += rt_cfg.o
OBJS += rt_crc.o
OBJS += rt_com.o
OBJS += rt_debug.o
OBJS += rt_dmand.o
OBJS += rt_door.o
OBJS += rt_draw.o
OBJS += rt_floor.o
OBJS += rt_game.o
OBJS += rt_in.o
OBJS += rt_main.o
OBJS += rt_map.o
OBJS += rt_menu.o
OBJS += rt_msg.o
OBJS += rt_net.o
OBJS += rt_playr.o
OBJS += rt_rand.o
OBJS += rt_scale.o
OBJS += rt_sound.o
OBJS += rt_spbal.o
OBJS += rt_sqrt.o
OBJS += rt_stat.o
OBJS += rt_state.o
OBJS += rt_str.o
OBJS += rt_swift.o
OBJS += rt_ted.o
OBJS += rt_util.o
OBJS += rt_view.o
OBJS += rt_vid.o
OBJS += rt_err.o
OBJS += scriplib.o
OBJS += w_wad.o
OBJS += watcom.o
OBJS += z_zone.o
OBJS += byteordr.o
OBJS += dukemusc.o
OBJS += winrott.o

AUDIOLIB := audiolib/audiolib.a

all: $(ROTT)

$(ROTT): $(OBJS) $(AUDIOLIB)
	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LDLIBS) -o $@

$(OBJS): develop.h

$(AUDIOLIB):
	$(MAKE) -C audiolib

tidy: 
	$(RM) $(OBJS) $(ROTT) $(ROTT).exe

clean: tidy
	$(MAKE) -C audiolib $@

=== debian/changelog ===
rott (1.1.2-2) unstable; urgency=low
  
  * Team upload.

  [ Fabian Greffrath ]
  * Remove "Recommends: timidity" and the corresponding advice in
    debian/README.Debian. Installing any package containing a soundfont
    should be sufficient for music playback to work (see #498984).
  * Run "wrap-and-sort -asb".
  * Fix a segfault in the Darian level, original bug report and patch
    by Luc Habert (Closes: #700977).
  * Color crosshair by player health.
  * Replace the icon with a self-drawn alternative in three different
    formats and provide a reproduction rule in debian/rules.
  * Enable parallel builds.
  * Correctly append to CFLAGS in debian/rules.
  * Fix conflicting types in variable declarations (Closes: #751510),
    thanks Michael Tautschnig.

  [ Stephen Kitt ]
  * Drop obsolete Lintian override; rott-sitelicense is no longer
    detected as an extra license file.
  * Use the canonical 1.0 copyright format URI.
  * Standards-Version 3.9.5, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 18 Jun 2014 07:14:21 +0200

rott (1.1.2-1) unstable; urgency=low

  * Imported Upstream version 1.1.2
  * Update Vcs-* fields.
  * Remove all patches applied upstream.
  * Adapt debian/rules to the new build system.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 21 Feb 2012 11:56:38 +0100

rott (1.1.1-7) UNRELEASED; urgency=low

  * Clarify relation to game-data-packager and its generated
    packages in debian/control.
  * Export CFLAGS for them to take effect as per dpkg (>= 1.16.1).
  * Update Vcs-Browser field in debian/control.
  * Remove obsolete 00-disable-audiolib.patch and 00-ludicrous-gibs.patch.
  * Bump debhelper compatibility to v9.
  * Fix format string vulnerabilities.
  * Update patches and header information.
  * Update debian/copyright to comply to DEP-5.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 15 Feb 2012 13:45:37 +0100

=== debian/control ===
Source: rott
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Evgeni Golov <evgeni@debian.org>,
 Jon Dowland <jmtd@debian.org>
Build-Depends:
 debhelper (>= 9),
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Standards-Version: 3.9.5
Homepage: http://icculus.org/rott/
Vcs-Git: git://anonscm.debian.org/pkg-games/rott.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/rott.git

Package: rott
Architecture: any
Depends:
 rott-data | game-data-packager (>= 24),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 musescore-soundfont-gm | freepats
Description: SDL-Port of Rise of the Triad
 Rise of the Triad is a high quality, fast scrolling first-person perspective
 3D action game. It includes a lot of destructive enemies, an arsenal of
 weapons from simple pistols to missile launchers, life-preserving armor, traps
 and ambushes galore.
 .
 WARNING: Rise of the Triad features wanton and gratuitous violence.
 .
 This package contains no data files: use `game-data-packager' to generate
 a suitable data package from the publicly available "Rise of the Triad:
 The HUNT Begins" shareware episode.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CFLAGS_MAINT_APPEND += -DDATADIR=\"/usr/share/games/rott/\"
DEB_CFLAGS_MAINT_APPEND += -Wno-pointer-sign -Wno-unused
export DEB_CFLAGS_MAINT_APPEND

debian/rott.xpm: debian/rott.png
	convert $^ $@

debian/rott.png: debian/rott.svg
	inkscape --export-png=$@ $^

%:
	dh $@ --sourcedir=rott

override_dh_auto_build:
	# Shareware Version
	$(MAKE) -C rott tidy
	dh_auto_build -O--parallel -- ROTT=rott-shareware
	# Commercial Version
	$(MAKE) -C rott tidy
	dh_auto_build -O--parallel -- ROTT=rott-commercial  SHAREWARE=0
	# CD Version
	$(MAKE) -C rott tidy
	dh_auto_build -O--parallel -- ROTT=rott-superrott   SHAREWARE=0 SUPERROTT=1
	# Site License CD Version
	$(MAKE) -C rott tidy
	dh_auto_build -O--parallel -- ROTT=rott-sitelicense SHAREWARE=0 SITELICENSE=1

## rott 1.1.2%2Bsvn287

=== debian/changelog ===
rott (1.1.2+svn287-3) unstable; urgency=medium

  * Team upload
  * Suggest kdialog instead of kde-baseapps-bin (see #885839)
  * Update Vcs-* to point to salsa.debian.org
  * Use https URLs for Homepage and Source
  * Use https for d/copyright Format
  * Standards-Version: 4.1.3 (no further changes)
  * Use debhelper compat level 11
    - Remove redundant dh-autoreconf build-dependency
  * Set Rules-Requires-Root to no
  * Enable full compiler hardening

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2018 10:23:17 +0000

rott (1.1.2+svn287-2) unstable; urgency=medium

  * Show a dialog box if files are missing. Based on patches and
    wordings by Alexandre Detiste, thank you very much (Closes: #790407).
    + Replace the unhelpful "W_InitFiles: no files found" error message
      with instructions to read README.Debian.
    + Improve README.Debian with clear instructions on how to use
      game-data-packager to locate/download the game data, build the
      possible rott-*-data Debian package(s), and install it/them.
    + Add "Suggests: zenity | kde-baseapps-bin | x11-utils | libnotify-bin"
      for the supported dialog box applications.
  * Do not recommend any soundfont at all, leave this to the
    libsdl-mixer1.2 package.
  * Update Uploaders field and Debian packaging copyright with my
    <fabian@debian.org> address.
  * Remove rott.menu file and icons in XPM and PNG formats, install upstream's
    SVG icon.
  * Fix the rott.desktop file.
    + Remove hard-coded fullscreen mode and resolution.
    + Add keywords.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 09 Oct 2015 09:09:40 +0200

rott (1.1.2+svn287-1) unstable; urgency=medium

  * New upstream SVN snapshot.
    + Remove all patches that were applied upstream.
    + Upstream switched build system to Autotools, add
      "Build-Depends: dh-autoreconf" and adapt debian/rules accordingly.
  * Add debian/README.source file to document how the Debian source
    tarball was created, add debian/gbp.conf file to force xz compression.
  * Bump Standards-Version to 3.9.6.
  * Move g-d-p from Depends to Recommends, drop virtual rott-data package from
    alternative dependencies.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 11 May 2015 14:23:27 +0200

rott (1.1.2-3) unstable; urgency=medium

  * Make the "commercial" variant recognize all supported
    multiplayer map files and set 'gamestate.Product' accordingly.
    This saves us from building the SUPERROTT and SITELICENSE variants
    which had their multiplayer map file names hard-coded.
    Adjust documentation and packaging accordingly.
  * Fix missing fog on level Foggy Mountain (Closes: #775530).
    Light level is calculated based on scaled texture and sprite height
    and is thus resolution-dependent, fix special-casing for fog.
    Thanks Alexandre Detiste for the bug report!
  * Fix scaling of the weapon sprite.
  * Fix scaling of the sky texture.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 30 Apr 2015 16:15:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,28 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Fabian Greffrath <fabian+debian@greffrath.com>,
+ Fabian Greffrath <fabian@debian.org>,
  Evgeni Golov <evgeni@debian.org>,
  Jon Dowland <jmtd@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
  libsdl-mixer1.2-dev,
  libsdl1.2-dev
-Standards-Version: 3.9.5
-Homepage: http://icculus.org/rott/
-Vcs-Git: git://anonscm.debian.org/pkg-games/rott.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/rott.git
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
+Homepage: https://icculus.org/rott/
+Vcs-Git: https://salsa.debian.org/games-team/rott.git
+Vcs-Browser: https://salsa.debian.org/games-team/rott
 
 Package: rott
 Architecture: any
 Depends:
- rott-data | game-data-packager (>= 24),
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- musescore-soundfont-gm | freepats
+ game-data-packager
+Suggests:
+ zenity | kdialog | x11-utils | libnotify-bin
 Description: SDL-Port of Rise of the Triad
  Rise of the Triad is a high quality, fast scrolling first-person perspective
  3D action game. It includes a lot of destructive enemies, an arsenal of

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_CFLAGS_MAINT_APPEND += -Wno-pointer-sign -Wno-unused
export DEB_CFLAGS_MAINT_APPEND

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	# Both flavors are configured and built in the dh_auto_build target.

override_dh_auto_build:
	# Shareware Version
	dh_auto_configure -- \
		--enable-datadir="/usr/share/games/rott/" \
		--enable-suffix="shareware" \
		--enable-shareware
	dh_auto_build -O--parallel

	# Commercial Version
	dh_auto_configure -- \
		--enable-datadir="/usr/share/games/rott/" \
		--enable-suffix="commercial"
	dh_auto_build -O--parallel

override_dh_auto_install:

override_dh_install:
	dh_install --sourcedir=rott

## rott 1.1.2+svn287

=== debian/control ===
Source: rott
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Evgeni Golov <evgeni@debian.org>,
 Jon Dowland <jmtd@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev
Standards-Version: 3.9.6
Homepage: http://icculus.org/rott/
Vcs-Git: git://anonscm.debian.org/pkg-games/rott.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/rott.git

Package: rott
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 game-data-packager,
 musescore-soundfont-gm | freepats
Description: SDL-Port of Rise of the Triad
 Rise of the Triad is a high quality, fast scrolling first-person perspective
 3D action game. It includes a lot of destructive enemies, an arsenal of
 weapons from simple pistols to missile launchers, life-preserving armor, traps
 and ambushes galore.
 .
 WARNING: Rise of the Triad features wanton and gratuitous violence.
 .
 This package contains no data files: use `game-data-packager' to generate
 a suitable data package from the publicly available "Rise of the Triad:
 The HUNT Begins" shareware episode.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,13 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DEB_CFLAGS_MAINT_APPEND += -Wno-pointer-sign -Wno-unused
 export DEB_CFLAGS_MAINT_APPEND
+
+debian/rott.xpm: debian/rott.png
+	convert $^ $@
+
+debian/rott.png: debian/rott.svg
+	inkscape --export-png=$@ $^
 
 %:
 	dh $@ --with autoreconf

## rott 20211123

=== debian/changelog ===
rott (20211123-1) unstable; urgency=medium

  [ Jonathan Dowland ]
  * Remove myself from Uploaders.

  [ Fabian Greffrath ]
  * Update debian/watch file.
  * Switch to my own, still unnamed, SDL2-based fork
    (fixes: #1038552).
  * New upstream version 20211123.
  * Remove debian/gbp.conf file.
  * Remove no-files-found-dialog.patch, solved upstream.
  * Bump Build-Depends to SDL2 libraries.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.6.2.
  * Bump Debian packaging copyright year.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 27 Jun 2023 14:53:43 +0200

## rott 20230810

=== debian/changelog ===
rott (20230810-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1114348)

 -- Adrian Bunk <bunk@debian.org>  Wed, 08 Oct 2025 17:14:56 +0300

rott (20230810-1) unstable; urgency=medium

  * New upstream version 20230810.
  * Remove desktop-file.patch, applied upstream.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 07 Sep 2023 21:53:44 +0200

=== debian/control ===
Source: rott
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>,
 Evgeni Golov <evgeni@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libsdl2-mixer-dev,
 libsdl2-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/fabiangreffrath/rott
Vcs-Git: https://salsa.debian.org/games-team/rott.git
Vcs-Browser: https://salsa.debian.org/games-team/rott

Package: rott
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 game-data-packager
Description: SDL-Port of Rise of the Triad
 Rise of the Triad is a high quality, fast scrolling first-person perspective
 3D action game. It includes a lot of destructive enemies, an arsenal of
 weapons from simple pistols to missile launchers, life-preserving armor, traps
 and ambushes galore.
 .
 WARNING: Rise of the Triad features wanton and gratuitous violence.
 .
 This package contains no data files: use `game-data-packager' to generate
 a suitable data package from the publicly available "Rise of the Triad:
 The HUNT Begins" shareware episode.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,8 @@
 #!/usr/bin/make -f
 
-DEB_CFLAGS_MAINT_APPEND += -Wno-pointer-sign -Wno-unused
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DEB_CFLAGS_MAINT_APPEND += -Wno-pointer-sign -Wno-unused -std=gnu17
 export DEB_CFLAGS_MAINT_APPEND
-
-debian/rott.xpm: debian/rott.png
-	convert $^ $@
-
-debian/rott.png: debian/rott.svg
-	inkscape --export-png=$@ $^
 
 %:
 	dh $@ --with autoreconf
